//use "WHERE YOUR DATA IS SAVED/data.dta", clear

gen delta=gamma/4
sort dummy ses period group type

//histogram of profits
//hist totalprofit if period==15 & !(ses==7 & subject==10) & dummy==1 & complete==0

//VARIABLES TO BE USED LATER

sort dummy ses period group type

gen des=des1 if type==1 & vertical==0 & dummy==1
replace des=des2 if type==2 & vertical==0 & dummy==1
replace des=des1[_n+2] if type==1 & vertical==1 & dummy==1
replace des=des2[_n+1] if type==2 & vertical==1 & dummy==1

gen weight1=(1-delta) if vertical==0 & dummy==1
gen weight2=delta^2/(1+delta) if vertical==0 & dummy==1 
gen weight3=delta/(1+delta) if vertical==0 & dummy==1 
gen weight4= ((1+delta)/(1+3*delta)) if vertical==1 & dummy==1
gen weight5= ((2*delta)/(1+3*delta)) if vertical==1 & dummy==1 

gen guessi=guess[_n+1] if type==1 & vertical==0 & complete==0 & dummy==1
replace guessi=guess[_n-1] if type==2 & vertical==0 & complete==0 & dummy==1
replace guessi=guess1[_n+2] if type==1 & vertical==1 & complete==0 & dummy==1
replace guessi=guess2[_n+1] if type==2 & vertical==1 & complete==0 & dummy==1

//also, for complete info:
replace guessi=rand if type>0 & type<3 & complete==1 & dummy==1

////////correlations between different guesses///////////////

gen guessi_type12=guess[_n+1] if type==1 & vertical==1 & complete==0 & dummy==1
replace guessi_type12=guess[_n-1] if type==2 & vertical==1 & complete==0 & dummy==1

pwcorr guessi guessi_type12 if period>0 & type>0 & type<3 & complete==0 & dummy==1, sig

////////////////////

gen guessj=guessi[_n+1] if type==1 & complete==0  & dummy==1
replace guessj=guessi[_n-1] if type==2 & complete==0 & dummy==1

//also, for complete info
replace guessj=rand[_n+1] if type==1 & complete==1  & dummy==1
replace guessj=rand[_n-1] if type==2 & complete==1  & dummy==1

//
//
//
//
//
//
//////////////////Section 3.1 and Appendix D, which concerns robustness checks for Section 3.1 
//
//
//
//
//

gen treatment=.
replace treatment=1 if vertical==0 & gamma==1 & complete==0
replace treatment=2 if vertical==0 & gamma==3 & complete==0
replace treatment=3 if vertical==1 & gamma==1 & complete==0
replace treatment=4 if vertical==1 & gamma==3 & complete==0
replace treatment=5 if vertical==0 & complete==1
replace treatment=6 if vertical==1 & complete==1

gen treatment1=0 
replace treatment1=1 if treatment==1
gen treatment2=0 
replace treatment2=1 if treatment==2
gen treatment3=0 
replace treatment3=1 if treatment==3
gen treatment4=0 
replace treatment4=1 if treatment==4
gen treatment5=0
replace treatment5=1 if treatment==5
gen treatment6=0
replace treatment6=1 if treatment==6

////////////////////////////////////////////////

sort dummy ses period group type

gen ounique=unique[_n-1] if type==2 & vertical==0 
replace ounique=unique[_n+1] if type==1 & vertical==0
replace ounique=unique[_n+2] if type==1 & vertical==1 & dummy==1
replace ounique=unique[_n+1] if type==2 & vertical==1 & dummy==1
replace ounique=unique[_n+1] if type==1 & vertical==1 & dummy==2 
replace ounique=unique[_n-1] if type==2 & vertical==1 & dummy==2 

gen rest=1/3*(1/(4+3*delta)) if vertical==0 & complete==0
replace rest=1/3*(delta/(3+4*delta)) if vertical==1 & complete==0

gen rest3=rest*3

gen res=(rand-guess[_n+1])^2 if type==1 & vertical==0 & complete==0
replace res=(rand-guess[_n-1])^2 if type==2 & vertical==0 & complete==0
replace res=(rand-guess1[_n+2])^2 if type==1 & vertical==1 & complete==0 & dummy==1
replace res=(rand-guess2[_n+1])^2 if type==2 & vertical==1 & complete==0 & dummy==1
replace res=(rand-guess[_n+1])^2 if type==1 & vertical==1 & complete==0 & dummy==2
replace res=(rand-guess[_n-1])^2 if type==2 & vertical==1 & complete==0 & dummy==2 
gen res_mes=(rand-mes)^2 if type>0 & type<3 & complete==0 & dummy==1 

gen res3=res*3
gen res_mes3=res_mes*3

gen absres=sqrt(res)

gen mistakeMES=0 if type>0 & type<3
replace mistakeMES=1 if type>0 & type<3 & ((mes>0 & rand<0) | (mes<0 & rand>0))

gen mistakeGUESS=0
replace mistakeGUESS=1 if (mes>0 & guess[_n+1]<0 | mes<0 & guess[_n+1]>0) & type==1 & vertical==0 & complete==0 
replace mistakeGUESS=1 if (mes>0 & guess[_n-1]<0 | mes<0 & guess[_n-1]>0) & type==2 & vertical==0 & complete==0
replace mistakeGUESS=1 if (mes>0 & guess1[_n+2]<0 | mes<0 & guess1[_n+2]>0) & type==1 & vertical==1 & complete==0 & dummy==1 
replace mistakeGUESS=1 if (mes>0 & guess2[_n+1]<0 | mes<0 & guess2[_n+1]>0) & type==2 & vertical==1 & complete==0 & dummy==1  
replace mistakeGUESS=1 if (mes>0 & guess[_n+1]<0 | mes<0 & guess[_n+1]>0) & type==1 & vertical==1 & complete==0 & dummy==2
replace mistakeGUESS=1 if (mes>0 & guess[_n-1]<0 | mes<0 & guess[_n-1]>0) & type==2 & vertical==1 & complete==0 & dummy==2 

//proper mistakes//////////////
gen mistakeM_proper=0 if type>0 & type<3
replace mistakeM_proper=1 if type>0 & type<3 & (mes>0 & rand<0)

gen mistakeG_proper=0
replace mistakeG_proper=1 if (mes<0 & guess[_n+1]>0) & type==1 & vertical==0 & complete==0 
replace mistakeG_proper=1 if (mes<0 & guess[_n-1]>0) & type==2 & vertical==0 & complete==0
replace mistakeG_proper=1 if (mes<0 & guess1[_n+2]>0) & type==1 & vertical==1 & complete==0 & dummy==1 
replace mistakeG_proper=1 if (mes<0 & guess2[_n+1]>0) & type==2 & vertical==1 & complete==0 & dummy==1  
replace mistakeG_proper=1 if (mes<0 & guess[_n+1]>0) & type==1 & vertical==1 & complete==0 & dummy==2
replace mistakeG_proper=1 if (mes<0 & guess[_n-1]>0) & type==2 & vertical==1 & complete==0 & dummy==2 

//Table 2 in the main text
reg res3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0, cluster(ses)

//Table 1 in the appendix
reg res3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0 & period<6, cluster(ses)

//Table 2 in the appendix
reg res3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0 & period>10, cluster(ses)

//Table 3 in the appendix 
reg res_mes3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0, cluster(ses)

//Table 4 in the appendix
reg res3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0 & mistakeMES==0 & mistakeGUESS==0, cluster(ses)

//Table 5 in the appendix
reg res3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0 & mistakeM_proper==0 & mistakeG_proper==0, cluster(ses)

//Table 6 in the appendix
reg res3 treatment2 treatment3 treatment4 if period>0 & type>0 & type<3 & complete==0, cluster(ounique)

//ANALYSIS OF HETEROGENEITY 

sort dummy ses period group type

//Table 7 in the appendix

gen level_lie=abs(mes-rand) if type<3 & type>0 & complete==0 & dummy==1 
egen lie_levels=mean(level_lie) if complete==0 & period>0 & dummy==1, by(unique)

gen level_mistrust=abs(mes[_n+1]-guess) if type==1 & complete==0 & dummy==1
replace level_mistrust=abs(mes[_n-1]-guess) if type==2 & complete==0 & dummy==1
replace level_mistrust=abs(mes1-guess1) if type==3 & complete==0 & dummy==1
replace level_mistrust=abs(mes2-guess2) if type==3 & complete==0 & dummy==2

egen mistrust_levels=mean(level_mistrust) if period>0, by(unique)
replace mistrust_levels=. if dummy==2

//means and medians
sum lie_levels if period==1 & complete==0 & vertical==0 & high==0, detail
sum lie_levels if period==1 & complete==0 & vertical==0 & high==1, detail
sum lie_levels if period==1 & complete==0 & vertical==1 & high==0, detail
sum lie_levels if period==1 & complete==0 & vertical==1 & high==1, detail 
sum mistrust_levels if period==1 & complete==0 & vertical==0 & high==0, detail
sum mistrust_levels if period==1 & complete==0 & vertical==0 & high==1, detail
sum mistrust_levels if period==1 & complete==0 & vertical==1 & high==0, detail
sum mistrust_levels if period==1 & complete==0 & vertical==1 & high==1, detail

//rank sum tests 
ranksum lie_levels if period==1 & complete==0 & high==0, by(vertical)
ranksum lie_levels if period==1 & complete==0 & high==1, by(vertical)
ranksum lie_levels if period==1 & complete==0 & vertical==0, by(high)
ranksum lie_levels if period==1 & complete==0 & vertical==1, by(high)
ranksum mistrust_levels if period==1 & complete==0 & high==0, by(vertical)
ranksum mistrust_levels if period==1 & complete==0 & high==1, by(vertical)
ranksum mistrust_levels if period==1 & complete==0 & vertical==0, by(high)
ranksum mistrust_levels if period==1 & complete==0 & vertical==1, by(high)

/////correlation between lying and mistrust types:
pwcorr mistrust_levels lie_levels if period==1 & complete==0, sig
/////

//Table 8 in the appendix 

gen xlevel_lie=abs(mes-rand) if type<3 & type>0 & complete==0 & !(mes>0 & rand<0) & !(mes<0 & rand>0) & dummy==1
egen xlie_levels=mean(xlevel_lie) if complete==0 & period>0 & dummy==1, by(unique)
gen xlevel_mistrust=abs(mes[_n+1]-guess)  if type==1 & complete==0 & !(mes[_n+1]>0 & guess<0) & !(mes[_n+1]<0 & guess>0) & dummy==1
replace xlevel_mistrust=abs(mes[_n-1]-guess) if type==2 & complete==0 & !(mes[_n-1]>0 & guess<0) & !(mes[_n-1]<0 & guess>0) & dummy==1
replace xlevel_mistrust=abs(mes1-guess1) if type==3 & complete==0 & !(mes1>0 & guess1<0) & !(mes1<0 & guess1>0) & dummy==1
replace xlevel_mistrust=abs(mes2-guess2) if type==3 & complete==0 & !(mes2>0 & guess2<0) & !(mes2<0 & guess2>0) & dummy==2
egen xmistrust_levels=mean(xlevel_mistrust) if complete==0 & period>0, by(unique)
replace xmistrust_levels=. if dummy==2

//means and medians 
sum xlie_levels if period==1 & complete==0 & vertical==0 & high==0, detail
sum xlie_levels if period==1 & complete==0 & vertical==0 & high==1, detail
sum xlie_levels if period==1 & complete==0 & vertical==1 & high==0, detail
sum xlie_levels if period==1 & complete==0 & vertical==1 & high==1, detail 
sum xmistrust_levels if period==1 & complete==0 & vertical==0 & high==0, detail
sum xmistrust_levels if period==1 & complete==0 & vertical==0 & high==1, detail
sum xmistrust_levels if period==1 & complete==0 & vertical==1 & high==0, detail
sum xmistrust_levels if period==1 & complete==0 & vertical==1 & high==1, detail

//rank sum tests 
ranksum xlie_levels if period==1 & complete==0 & high==0, by(vertical)
ranksum xlie_levels if period==1 & complete==0 & high==1, by(vertical)
ranksum xlie_levels if period==1 & complete==0 & vertical==0, by(high)
ranksum xlie_levels if period==1 & complete==0 & vertical==1, by(high)
ranksum xmistrust_levels if period==1 & complete==0 & high==0, by(vertical)
ranksum xmistrust_levels if period==1 & complete==0 & high==1, by(vertical)
ranksum xmistrust_levels if period==1 & complete==0 & vertical==0, by(high)
ranksum xmistrust_levels if period==1 & complete==0 & vertical==1, by(high)

//Table 9 in the appendix 

gen xxlevel_lie=abs(mes-rand) if type<3 & type>0 & complete==0 & !(mes>0 & rand<0) & dummy==1
egen xxlie_levels=mean(xxlevel_lie) if complete==0 & period>0 & dummy==1, by(unique)
gen xxlevel_mistrust=abs(mes[_n+1]-guess)  if type==1 & complete==0 & !(mes[_n+1]<0 & guess>0) & dummy==1
replace xxlevel_mistrust=abs(mes[_n-1]-guess) if type==2 & complete==0 & !(mes[_n-1]<0 & guess>0) & dummy==1
replace xxlevel_mistrust=abs(mes1-guess1) if type==3 & complete==0 & !(mes1<0 & guess1>0) & dummy==1
replace xxlevel_mistrust=abs(mes2-guess2) if type==3 & complete==0 & !(mes2<0 & guess2>0) & dummy==2
egen xxmistrust_levels=mean(xxlevel_mistrust) if complete==0 & period>0, by(unique)
replace xxmistrust_levels=. if dummy==2

//means and medians 
sum xxlie_levels if period==1 & complete==0 & vertical==0 & high==0, detail
sum xxlie_levels if period==1 & complete==0 & vertical==0 & high==1, detail
sum xxlie_levels if period==1 & complete==0 & vertical==1 & high==0, detail
sum xxlie_levels if period==1 & complete==0 & vertical==1 & high==1, detail 
sum xxmistrust_levels if period==1 & complete==0 & vertical==0 & high==0, detail
sum xxmistrust_levels if period==1 & complete==0 & vertical==0 & high==1, detail
sum xxmistrust_levels if period==1 & complete==0 & vertical==1 & high==0, detail
sum xxmistrust_levels if period==1 & complete==0 & vertical==1 & high==1, detail

//rank sum tests 
ranksum xxlie_levels if period==1 & complete==0 & high==0, by(vertical)
ranksum xxlie_levels if period==1 & complete==0 & high==1, by(vertical)
ranksum xxlie_levels if period==1 & complete==0 & vertical==0, by(high)
ranksum xxlie_levels if period==1 & complete==0 & vertical==1, by(high)
ranksum xxmistrust_levels if period==1 & complete==0 & high==0, by(vertical)
ranksum xxmistrust_levels if period==1 & complete==0 & high==1, by(vertical)
ranksum xxmistrust_levels if period==1 & complete==0 & vertical==0, by(high)
ranksum xxmistrust_levels if period==1 & complete==0 & vertical==1, by(high)

//Table 10 in the appendix 

egen zlie_levels=mean(level_lie) if complete==0 & period>10 & dummy==1, by(unique)
egen zmistrust_levels=mean(level_mistrust) if complete==0 & period>10, by(unique)
replace zmistrust_levels=. if dummy==2

//means and medians 
sum zlie_levels if period==11 & complete==0 & vertical==0 & high==0, detail
sum zlie_levels if period==11 & complete==0 & vertical==0 & high==1, detail
sum zlie_levels if period==11 & complete==0 & vertical==1 & high==0, detail
sum zlie_levels if period==11 & complete==0 & vertical==1 & high==1, detail 
sum zmistrust_levels if period==11 & complete==0 & vertical==0 & high==0, detail
sum zmistrust_levels if period==11 & complete==0 & vertical==0 & high==1, detail
sum zmistrust_levels if period==11 & complete==0 & vertical==1 & high==0, detail
sum zmistrust_levels if period==11 & complete==0 & vertical==1 & high==1, detail

//rank sum tests 
ranksum zlie_levels if period==11 & complete==0 & high==0, by(vertical)
ranksum zlie_levels if period==11 & complete==0 & high==1, by(vertical)
ranksum zlie_levels if period==11 & complete==0 & vertical==0, by(high)
ranksum zlie_levels if period==11 & complete==0 & vertical==1, by(high)
ranksum zmistrust_levels if period==11 & complete==0 & high==0, by(vertical)
ranksum zmistrust_levels if period==11 & complete==0 & high==1, by(vertical)
ranksum zmistrust_levels if period==11 & complete==0 & vertical==0, by(high)
ranksum zmistrust_levels if period==11 & complete==0 & vertical==1, by(high)

//Table 11 in the appendix

gen lie_dummy=0 if type<3 & type>0 & complete==0 & dummy==1  
replace lie_dummy=1 if level_lie>0 & type<3 & type>0 & complete==0 & dummy==1
egen meanlies=mean(lie_dummy) if period>0 & dummy==1, by(unique)

gen mistrust_dummy=0 if complete==0 & (type==3|(dummy==1&(type==1|type==2)))
replace mistrust_dummy=1 if level_mistrust>0 & type==1 & complete==0 & dummy==1
replace mistrust_dummy=1 if level_mistrust>0 & type==2 & complete==0 & dummy==1
replace mistrust_dummy=1 if level_mistrust>0 & type==3 & complete==0 & dummy==1
replace mistrust_dummy=1 if level_mistrust>0 & type==3 & complete==0 & dummy==2

egen meanmistrust=mean(mistrust_dummy) if period>0, by(unique)
replace meanmistrust=. if dummy==2

//means and medians
sum meanlies if period==1 & vertical==0 & high==0, detail
sum meanlies if period==1 & vertical==0 & high==1, detail
sum meanlies if period==1 & vertical==1 & high==0, detail
sum meanlies if period==1 & vertical==1 & high==1, detail
sum meanmistrust if period==1 & vertical==0 & high==0, detail
sum meanmistrust if period==1 & vertical==0 & high==1, detail
sum meanmistrust if period==1 & vertical==1 & high==0, detail
sum meanmistrust if period==1 & vertical==1 & high==1, detail

//rank sum tests 
ranksum meanlies if period==1 & complete==0 & high==0, by(vertical)
ranksum meanlies if period==1 & complete==0 & high==1, by(vertical)
ranksum meanlies if period==1 & complete==0 & vertical==0, by(high)
ranksum meanlies if period==1 & complete==0 & vertical==1, by(high)
ranksum meanmistrust if period==1 & complete==0 & high==0, by(vertical)
ranksum meanmistrust if period==1 & complete==0 & high==1, by(vertical)
ranksum meanmistrust if period==1 & complete==0 & vertical==0, by(high)
ranksum meanmistrust if period==1 & complete==0 & vertical==1, by(high)

//
//
//
//
//
//
//
//
//////////////////Section 3.2 and Appendix E, which concerns robustness checks for Section 3.2
//
//
//
//
//
//
//
//

drop if dummy==2

sort ses period group type

gen coord_loss=.
replace coord_loss=(des-des[_n+1])^2 if type==1

gen adapt_loss=.
replace adapt_loss=(des-rand)^2 if (type==1|type==2)

//Table 18 in the appendix

reg coord_loss treatment2 treatment3 treatment4 if period>0 & complete==0, cluster(ses)
reg adapt_loss treatment2 treatment3 treatment4 if period>0 & complete==0, cluster(ses)


/*
//mie benchmarks for adaptation and coordination losses
gen admie=(7*delta^2+delta^3)/(3*(1+delta)*(4+3*delta)) if vertical==0 & complete==0
replace admie=(1/3-((1+delta)*(1+6*delta+delta^2))/((1+3*delta)^2*(3+4*delta))) if vertical==1 & complete==0
gen cormie=2*(1-delta)^2*(1/3-delta*(2+delta)/((1+delta)*(4+3*delta))) if vertical==0 & complete==0
replace cormie=2*((1-delta)^2/(1+3*delta)^2)*((1+delta)/(3+4*delta)) if vertical==1 & complete==0

//and with complete info

replace cormie=(2/3)*(((1-delta)/(1+delta))^2) if vertical==0 & complete==1 
replace cormie=(2/3)*(((1-delta)/(1+3*delta))^2) if vertical==1 & complete==1 
replace admie=(2/3)*(((delta)/(1+delta))^2) if vertical==0 & complete==1 
replace admie=(2/3)*(((2*delta)/(1+3*delta))^2) if vertical==1 & complete==1
*/

//DECISION RULES 

/*theoretical decisions
gen dest=(1-delta)*rand+((delta^2)/(1+delta))*guessi+(delta/(1+delta))*guessj if type<3 & vertical==0 & complete==0
replace dest=((1+delta)/(1+3*delta))*guessi + ((2*delta)/(1+3*delta))*guessj if type<3 & vertical==1  & complete==0

//scatter des dest if type<3 & !(type==0) & period>0, by(vertical gamma)
*/

gen guessiXhigh=guessi*high
gen guessjXhigh=guessj*high
gen randXhigh=rand*high

//Tables 3 and 4 in Section 3.2 
est clear
constraint 1 rand+guessi+guessj=1
constraint 2 rand+randXhigh+guessi+guessiXhigh+guessj+guessjXhigh=1
constraint 3 guessi+guessj=1
constraint 4 guessi+guessiXhigh+guessj+guessjXhigh=1

cnsreg des high rand guessi guessj  randXhigh guessiXhigh guessjXhigh if period>0 & type<3 & vertical==0 & complete==0, c(1-2) cluster(ses)
cnsreg des high guessi guessj  guessiXhigh guessjXhigh if period>0 & type<3 & vertical==1 & complete==0, c(3-4) cluster(ses)

//Table 13 in Appendix E (subject-clustered errors)

cnsreg des high rand guessi guessj  randXhigh guessiXhigh guessjXhigh if period>0 & type<3 & vertical==0 & complete==0, c(1-2) cluster(ounique)
cnsreg des high guessi guessj  guessiXhigh guessjXhigh if period>0 & type<3 & vertical==1 & complete==0, c(3-4) cluster(ounique)

//Table 5 in Section 3.2 

nl (des =  ((1-{b1}-{b2}*high)*rand+((({b1}+{b2}*high)^2)/(1+{b1}+{b2}*high))*guessi+(({b1}+{b2}*high)/(1+{b1}+{b2}*high))*guessj)  ) if vertical==0 & period>0 & complete==0, cluster(ses)
nl (des =  (((1+{b1}+{b2}*high)/(1+3*({b1}+{b2}*high)))*guessi+((2*({b1}+{b2}*high))/(1+3*({b1}+{b2}*high)))*guessj)) if vertical==1 & period>0 & complete==0, cluster(ses)

//Section 3.4 (complete information)

sort dummy ses period group type

gen rand_o=rand[_n-1] if type==2
replace rand_o=rand[_n+1] if type==1

nl (des =  ((1/(1+{b1}))*rand+({b1}/(1+{b1}))*rand_o)) if vertical==0 & period>0 & complete==1, cluster(unique)
nl (des =  (((1+{b1})/(1+3*{b1}))*rand+((2*{b1})/(1+3*{b1}))*rand_o)) if vertical==1 & period>0 & complete==1, cluster(ounique)

//Table 14 in Appendix E (messages in place of beliefs)

sort dummy ses period group type
gen mes_o=mes[_n-1] if type==2
replace mes_o=mes[_n+1] if type==1 

nl (des =  ((1-{b1}-{b2}*high)*rand+((({b1}+{b2}*high)^2)/(1+{b1}+{b2}*high))*mes+(({b1}+{b2}*high)/(1+{b1}+{b2}*high))*mes_o)  ) if vertical==0 & period>0 & complete==0, cluster(ses)
nl (des =  (((1+{b1}+{b2}*high)/(1+3*({b1}+{b2}*high)))*mes+((2*({b1}+{b2}*high))/(1+3*({b1}+{b2}*high)))*mes_o)) if vertical==1 & period>0 & complete==0, cluster(ses)

//Table 15 in Appendix E (beliefs on 1 and 2 under centralization)

sort dummy ses period group type
gen guessj_type12=guessi_type12[_n+1] if type==1 
replace guessj_type12=guessi_type12[_n-1] if type==2
nl (des =  (((1+{b1}+{b2}*high)/(1+3*({b1}+{b2}*high)))*guessi_type12+((2*({b1}+{b2}*high))/(1+3*({b1}+{b2}*high)))*guessj_type12)) if vertical==1 & period>0 & complete==0, cluster(ses)

//Table 16 in Appendix E (subject-clustered errors)

nl (des =  ((1-{b1}-{b2}*high)*rand+((({b1}+{b2}*high)^2)/(1+{b1}+{b2}*high))*guessi+(({b1}+{b2}*high)/(1+{b1}+{b2}*high))*guessj)  ) if vertical==0 & period>0 & complete==0, cluster(unique)
nl (des =  (((1+{b1}+{b2}*high)/(1+3*({b1}+{b2}*high)))*guessi+((2*({b1}+{b2}*high))/(1+3*({b1}+{b2}*high)))*guessj)) if vertical==1 & period>0 & complete==0, cluster(ounique)

//Table 12 in Appendix E (learning)

nl (des =  ((1-{b1}-{b2}*high-{b3}*period-{b4}*high*period)*rand+((({b1}+{b2}*high+{b3}*period+{b4}*high*period)^2)/(1+{b1}+{b2}*high+{b3}*period+{b4}*high*period))*guessi+(({b1}+{b2}*high+{b3}*period+{b4}*high*period)/(1+{b1}+{b2}*high+{b3}*period+{b4}*high*period))*guessj)  ) if vertical==0 & period>0 & complete==0, cluster(ses)
nl (des =  (((1+{b1}+{b2}*high+{b3}*period+{b4}*high*period)/(1+3*({b1}+{b2}*high+{b3}*period+{b4}*high*period)))*guessi+((2*({b1}+{b2}*high+{b3}*period+{b4}*high*period))/(1+3*({b1}+{b2}*high+{b3}*period+{b4}*high*period)))*guessj)) if vertical==1 & period>0 & complete==0, cluster(ses)

//mistrust interactions

//nl (des =  ((1-{b1}-{b2}*high-{b3}*mistrust_levels-{b4}*high*mistrust_levels)*rand+((({b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels)^2)/(1+{b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels))*guessi+(({b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels)/(1+{b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels))*guessj)  ) if vertical==0 & period>0 & complete==0, cluster(ses)
//nl (des =  (((1+{b1}+{b2}*mistrust_levels+{b3}*mistrust_levels+{b4}*high*mistrust_levels)/(1+3*({b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels)))*guessi+((2*({b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels))/(1+3*({b1}+{b2}*high+{b3}*mistrust_levels+{b4}*high*mistrust_levels)))*guessj)) if vertical==1 & period>0 & complete==0, cluster(ses)

//learning with nosebleed ses excluded

//nl (des =  (((1+{b1}+{b2}*high+{b3}*period+{b4}*high*period)/(1+3*({b1}+{b2}*high+{b3}*period+{b4}*high*period)))*guessi+((2*({b1}+{b2}*high+{b3}*period+{b4}*high*period))/(1+3*({b1}+{b2}*high+{b3}*period+{b4}*high*period)))*guessj)) if vertical==1 & period>0 & complete==0 & !(ses==8), cluster(ses)

//heterogeneity
/*
//incomplete info
statsby _b, by(unique high) saving(INSERTPATH): nl (des =  ((1-invlogit({b1}))*rand+(((invlogit({b1}))^2)/(1+invlogit({b1})))*guessi+((invlogit({b1}))/(1+invlogit({b1})))*guessj)  ) if vertical==0 & period>0 & complete==0 
statsby _b, by(ounique high) saving(INSERTPATH): nl (des =  (((1+invlogit({b1}))/(1+3*(invlogit({b1}))))*guessi+((2*(invlogit({b1})))/(1+3*(invlogit({b1}))))*guessj)) if vertical==1 & period>0 & type<3 & dummy==1 & complete==0

//complete info
statsby _b, by(unique) saving(INSERTPATH): nl (des =  ((1/(1+invlogit({b1})))*rand+(invlogit({b1})/(1+invlogit({b1})))*rand_o)) if vertical==0 & period>0 & complete==1 & dummy==1
statsby _b, by(ounique) saving(INSERTPATH): nl (des =  (((1+invlogit({b1}))/(1+3*invlogit({b1})))*rand+((2*invlogit({b1}))/(1+3*invlogit({b1})))*rand_o)) if vertical==1 & period>0 & complete==1 & dummy==1
*/

//SECTION 3.3 

sort ses period group type

gen payguess=(guess-rand[_n+1])^2 if type==1 & complete==0 & dummy==1 
replace payguess=(guess-rand[_n-1])^2 if type==2 & complete==0 & dummy==1  
replace payguess=.5*(guess1-rand[_n-2])^2+.5*(guess2-rand[_n-1])^2 if type==3 & complete==0  & dummy==1 
gen paygame=profit-payguess  if dummy==1 

gen dest=(1-delta)*rand+((delta^2)/(1+delta))*guessi+(delta/(1+delta))*guessj if type<3 & vertical==0 & complete==0
replace dest=((1+delta)/(1+3*delta))*guessi + ((2*delta)/(1+3*delta))*guessj if type<3 & vertical==1  & complete==0


//"disequilibrium"

gen loss=paygame-(3*(dest-rand)^2+1*(dest-dest[_n+1])^2) if type==1 & gamma==1
replace loss=paygame-(3*(dest-rand)^2+1*(dest-dest[_n-1])^2) if type==2 & gamma==1
replace loss=paygame-((dest-rand)^2+3*(dest-dest[_n+1])^2) if type==1 & gamma==3
replace loss=paygame-((dest-rand)^2+3*(dest-dest[_n-1])^2) if type==2 & gamma==3

gen welfareloss=(loss+loss[_n+1]) if type==1

//"miscommunication"

gen desmie=(1-delta)*rand+((delta^2)/(1+delta))*miebelief+(delta/(1+delta))*miebelief[_n+1] if type<3 & vertical==0 & type==1
replace desmie=(1-delta)*rand+((delta^2)/(1+delta))*miebelief+(delta/(1+delta))*miebelief[_n-1] if type<3 & vertical==0 & type==2
replace desmie=((1+delta)/(1+3*delta))*miebelief + ((2*delta)/(1+3*delta))*miebelief[_n+1] if type<3 & vertical==1 & type==1 
replace desmie=((1+delta)/(1+3*delta))*miebelief + ((2*delta)/(1+3*delta))*miebelief[_n-1] if type<3 & vertical==1 & type==2

gen lossmie=(3*(dest-rand)^2+1*(dest-dest[_n+1])^2)-(3*(desmie-rand)^2+(desmie-desmie[_n+1])^2) if type==1 & gamma==1
replace lossmie=(3*(dest-rand)^2+1*(dest-dest[_n-1])^2)-(3*(desmie-rand)^2+(desmie-desmie[_n-1])^2) if type==2 & gamma==1
replace lossmie=((dest-rand)^2+3*(dest-dest[_n+1])^2)-((desmie-rand)^2+3*(desmie-desmie[_n+1])^2) if type==1 & gamma==3
replace lossmie=((dest-rand)^2+3*(dest-dest[_n-1])^2)-((desmie-rand)^2+3*(desmie-desmie[_n-1])^2) if type==2 & gamma==3

gen welfareloss2=(lossmie+lossmie[_n+1]) if type==1
gen welfareloss3=welfareloss+welfareloss2

//decomposition percentages

//overall 
sum welfareloss3 if period>0 & type<3  &!(ses==7 & subject==10)
//decisions
sum welfareloss if period>0 & type<3  &!(ses==7 & subject==10)
//mie
sum welfareloss2 if period>0 & type<3  &!(ses==7 & subject==10)

//Table 19 in Appendix G

gen welfare=(paygame+paygame[_n+1]) if type==1

reg welfare treatment2 treatment3 treatment4 if period>0 & type<3  &!(ses==7 & subject==10), cluster(ses)
reg welfareloss treatment2 treatment3 treatment4 if period>0 & type<3  &!(ses==7 & subject==10), cluster(ses)
reg welfareloss2 treatment2 treatment3 treatment4 if period>0 & type<3  &!(ses==7 & subject==10), cluster(ses)
